Get webhooks#
About#
Returns user webhooks list
GET /users/current/configuration/strategies/:strategyId/webhooks
For more information see Swagger documentation
Headers#
| Name | Type | Required | Description |
|---|---|---|---|
| auth-token | string | Yes | authorization token. See Authentication & authorization |
Path parameters#
| Name | Type | Required | Description |
|---|---|---|---|
| strategyId | string | Yes | strategy id |
Query parameters#
| Name | Type | Required | Description |
|---|---|---|---|
| paginationStyle | string | pagination style. One of classic, infiniteScroll, default: infiniteScroll |
|
| limit | integer | pagination limit, default: 1000, min: 1, max: 1000 |
|
| offset | integer | pagination offset, default: 0, min: 0 |
Response#
Responses:
- 200 - Webhooks returned successfully. Response schema: Array<Webhook> for request with
infiniteScrollpagination style or WebhookList for request withclassicone. - 401 - Authorization failed. Response schema: Error
Examples#
Example request:
curl -X GET --header 'Accept: application/json' --header 'auth-token: token' 'https://copyfactory-api-v1.new-york.agiliumtrade.ai/users/current/configuration/strategies/AeRF/webhooks'
Example response for request with infiniteScroll pagination style:
[
{
"_id": "bsYA4ucPTt2ZBK1ynVx7Ef6kCdaUmSgL",
"createdAt": "2024-12-07T09:15:00.000Z",
"url": "https://copyfactory-api-v1.new-york.agiliumtrade.ai/webhooks/bsYA4ucPTt2ZBK1ynVx7Ef6kCdaUmSgL",
"magic": 100,
"symbolMapping": [
{
"to": "EURUSD",
"from": "EURUSD.m"
}
]
}
]
Example response for request with classic pagination style:
{
"count": 1,
"items": [
{
"_id": "bsYA4ucPTt2ZBK1ynVx7Ef6kCdaUmSgL",
"createdAt": "2024-12-07T09:15:00.000Z",
"url": "https://copyfactory-api-v1.new-york.agiliumtrade.ai/webhooks/bsYA4ucPTt2ZBK1ynVx7Ef6kCdaUmSgL",
"magic": 100,
"symbolMapping": [
{
"to": "EURUSD",
"from": "EURUSD.m"
}
]
}
]
}